Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 13 Mar 2023 03:22:53 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? Splash team 
 
My name is Bikram tamang 
 
I think splash  should write everything proper details.. if splash cannot deliver there product in 24 hour service they should not mention these details on apps while order… 
I think I paid my order that’s way no one care this things 
 
This is seconds time that I am receiving delay the time ….. 
 
0563014548 my contact detail  
 
My order number 9418706764 
 
Really bad and pathetic service by splash  
 
This will be my last order form this splash https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5835237